//+------------------------------------------------------------------+
//|                                                         2_Ma.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
//---- input parameters
extern int       PeriodMa=9;
extern string a="0=Sma,1=Ema,2=SsMa,3=LwMa";
extern int       MetodMa=0;
extern string b="0=Close,1=Open,2=High,3=Low,4=Median,5=Typical,6=Weigted";
extern int       PriseMa=0;
extern string c="    ";
extern int       ShiftMa=4;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
void init(){
SetIndexStyle(0,DRAW_LINE);
SetIndexBuffer(0,ExtMapBuffer1);
SetIndexLabel(0, " "); 
SetIndexStyle(1,DRAW_LINE);
SetIndexBuffer(1,ExtMapBuffer2);
SetIndexLabel(1," "); 
if(MetodMa>3){MetodMa=3;}
if(MetodMa<0){MetodMa=0;}
if(PriseMa>6){PriseMa=6;}
if(PriseMa<0){PriseMa=0;}
}
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   for(int i=0; i<limit; i++){
     ExtMapBuffer1[i]=iMA(Symbol(),0,PeriodMa,0,MetodMa,PriseMa,i);
     ExtMapBuffer2[i]=iMA(Symbol(),0,PeriodMa,ShiftMa,MetodMa,PriseMa,i);
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+